require "spec_helper"
require "azuki/updater"
require "azuki/version"

module Azuki
  describe Updater do

    it "calculates the latest local version" do
      Azuki::Updater.latest_local_version.should == Azuki::VERSION
    end

    it "calculates compare_versions" do
      Azuki::Updater.compare_versions('1.1.1', '1.1.1').should == 0

      Azuki::Updater.compare_versions('2.1.1', '1.1.1').should == 1
      Azuki::Updater.compare_versions('1.1.1', '2.1.1').should == -1

      Azuki::Updater.compare_versions('1.2.1', '1.1.1').should == 1
      Azuki::Updater.compare_versions('1.1.1', '1.2.1').should == -1

      Azuki::Updater.compare_versions('1.1.2', '1.1.1').should == 1
      Azuki::Updater.compare_versions('1.1.1', '1.1.2').should == -1

      Azuki::Updater.compare_versions('2.1.1', '1.2.1').should == 1
      Azuki::Updater.compare_versions('1.2.1', '2.1.1').should == -1

      Azuki::Updater.compare_versions('2.1.1', '1.1.2').should == 1
      Azuki::Updater.compare_versions('1.1.2', '2.1.1').should == -1

      Azuki::Updater.compare_versions('1.2.4', '1.2.3').should == 1
      Azuki::Updater.compare_versions('1.2.3', '1.2.4').should == -1

      Azuki::Updater.compare_versions('1.2.1', '1.2'  ).should == 1
      Azuki::Updater.compare_versions('1.2',   '1.2.1').should == -1

      Azuki::Updater.compare_versions('1.1.1.pre1', '1.1.1').should == 1
      Azuki::Updater.compare_versions('1.1.1', '1.1.1.pre1').should == -1

      Azuki::Updater.compare_versions('1.1.1.pre2', '1.1.1.pre1').should == 1
      Azuki::Updater.compare_versions('1.1.1.pre1', '1.1.1.pre2').should == -1
    end

  end
end
